/**
  * 用户
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admuserlist: params => { // 用户列表
    return getRequest('/adm/user/list', params)
  },
  admuserdetail: params => { // 用户详情
    return getRequestNoSort('/adm/user/detail', params, 'loading')
  },
  admuseredit: params => { // 用户编辑
    return getRequestNoSort('/adm/user/edit', params, 'loading')
  },
  admuseradd: params => { // 用户添加
    return getRequestNoSort('/adm/user/add', params, 'loading')
  },
  admuserdel: params => { // 用户删除
    return getRequestNoSort('/adm/user/del', params, 'loading')
  },
  admuserchangepwd: params => { // 用户 修改密码
    return getRequestNoSort('/adm/user/change/pwd', params, 'loading')
  },
  admuserauthlist: params => { // 认证列表
    return getRequestNoSort('/adm/user/auth/list', params, 'loading')
  },
  admuserauthedit: params => { // 认证审核 
    return getRequestNoSort('/adm/user/auth/edit', params, 'loading')
  },
  admdeptauthedit: params => { // 认证审核 渠道
    return getRequestNoSort('/adm/dept/auth/edit', params, 'loading')
  },
  admuseradmin: params => { // admin
    return getRequestNoSort('/adm/user/admin', params, 'loading')
  },
  admusersearch: params => { // 用户搜索
    return getRequestNoSort('/adm/user/search', params, 'loading')
  },
  admdeptlist: params => { // 渠道 -  列表
    return getRequest('/adm/dept/list', params)
  },
  admdeptedit: params => { // 渠道 -  编辑
    return getRequestNoSort('/adm/dept/edit', params, 'loading')
  },
  admdeptdetail: params => { // 渠道 -  详情
    return getRequestNoSort('/adm/dept/detail', params, 'loading')
  },
  admdeptdel: params => { // 渠道 -  删除
    return getRequestNoSort('/adm/dept/del', params, 'loading')
  },
}
